Package org.eclipse.m2m.atl.emftvm.impl

## Class LocalVariableInstructionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.InstructionImpl
        - - org.eclipse.m2m.atl.emftvm.impl.LocalVariableInstructionImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Instruction`, `LocalVariableInstruction`

Direct Known Subclasses:
  `LoadImpl`, `StoreImpl`

    public abstract class LocalVariableInstructionImpl
    extends InstructionImpl
    implements LocalVariableInstruction

An implementation of the model object 'Local Variable Instruction'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static int` `CB_OFFSET_EDEFAULT` The default value of the '`Cb Offset`' attribute.
`protected int` `cbOffset` The cached value of the '`Cb Offset`' attribute.
`protected static int` `LOCAL_VARIABLE_INDEX_EDEFAULT` The default value of the '`Local Variable Index`' attribute.
`protected LocalVariable` `localVariable` The cached value of the '`Local Variable`' reference.
`protected int` `localVariableIndex` The cached value of the '`Local Variable Index`' attribute.
`protected int` `slot` The cached value of the '`Slot`' attribute.
`protected static int` `SLOT_EDEFAULT` The default value of the '`Slot`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`lineNumber, opcode, OPCODE_EDEFAULT, STACK_CONSUMPTION_EDEFAULT, STACK_LEVEL_EDEFAULT, STACK_PRODUCTION_EDEFAULT, stackConsumption, stackLevel, stackLevelSet, stackProduction`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `LocalVariableInstructionImpl()` Creates a new `LocalVariableInstructionImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`LocalVariable` `basicGetLocalVariable()`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eNotify​(org.eclipse.emf.common.notify.Notification notification)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`int` `getCbOffset()` Returns the value of the 'Cb Offset' attribute.
`LocalVariable` `getLocalVariable()` Returns the value of the 'Local Variable' reference.
`int` `getLocalVariableIndex()` Returns the value of the 'Local Variable Index' attribute.
`int` `getSlot()` Returns the value of the 'Slot' attribute.
`void` `setCbOffset​(int newCbOffset)` Sets the value of the '`Cb Offset`' attribute.
`void` `setLocalVariable​(LocalVariable newLocalVariable)` Sets the value of the '`Local Variable`' reference.
`void` `setLocalVariableIndex​(int newLocalVariableIndex)` Sets the value of the '`Local Variable Index`' attribute.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`basicGetLineNumber, basicSetLineNumber, basicSetOwningBlock, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eSetDeliver`

### Field Detail

#### CB_OFFSET_EDEFAULT

    protected static final int CB_OFFSET_EDEFAULT

The default value of the '`Cb Offset`' attribute.

See Also:
  `getCbOffset()`, Constant Field Values

#### SLOT_EDEFAULT

    protected static final int SLOT_EDEFAULT

The default value of the '`Slot`' attribute.

See Also:
  `getSlot()`, Constant Field Values

#### LOCAL_VARIABLE_INDEX_EDEFAULT

    protected static final int LOCAL_VARIABLE_INDEX_EDEFAULT

The default value of the '`Local Variable Index`' attribute.

See Also:
  `getLocalVariableIndex()`, Constant Field Values

#### cbOffset

    protected int cbOffset

The cached value of the '`Cb Offset`' attribute.

See Also:
  `getCbOffset()`

#### localVariableIndex

    protected int localVariableIndex

The cached value of the '`Local Variable Index`' attribute.

See Also:
  `getLocalVariableIndex()`

#### slot

    protected int slot

The cached value of the '`Slot`' attribute.

See Also:
  `getSlot()`

#### localVariable

    protected LocalVariable localVariable

The cached value of the '`Local Variable`' reference.

See Also:
  `getLocalVariable()`

### Constructor Detail

#### LocalVariableInstructionImpl

    protected LocalVariableInstructionImpl()

Creates a new `LocalVariableInstructionImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `InstructionImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getCbOffset

    public int getCbOffset()

Returns the value of the 'Cb Offset' attribute. The default value is `"-1"`.

If the meaning of the 'Cb Offset' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getCbOffset` in interface `LocalVariableInstruction`
Returns:
  the value of the 'Cb Offset' attribute.
See Also:
  `LocalVariableInstruction.setCbOffset(int)`, `EmftvmPackage.getLocalVariableInstruction_CbOffset()`

#### setCbOffset

    public void setCbOffset​(int newCbOffset)

Sets the value of the '`Cb Offset`' attribute.

Specified by:
  `setCbOffset` in interface `LocalVariableInstruction`
Parameters:
  `newCbOffset` - the new value of the 'Cb Offset' attribute.
See Also:
  `LocalVariableInstruction.getCbOffset()`

#### getSlot

    public int getSlot()

Returns the value of the 'Slot' attribute. The default value is `"-1"`.

If the meaning of the 'Slot' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getSlot` in interface `LocalVariableInstruction`
Returns:
  the value of the 'Slot' attribute.
See Also:
  `EmftvmPackage.getLocalVariableInstruction_Slot()`

#### getLocalVariableIndex

    public int getLocalVariableIndex()

Returns the value of the 'Local Variable Index' attribute. The default value is `"-1"`.

If the meaning of the 'Local Variable Index' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getLocalVariableIndex` in interface `LocalVariableInstruction`
Returns:
  the value of the 'Local Variable Index' attribute.
See Also:
  `LocalVariableInstruction.setLocalVariableIndex(int)`, `EmftvmPackage.getLocalVariableInstruction_LocalVariableIndex()`

#### setLocalVariableIndex

    public void setLocalVariableIndex​(int newLocalVariableIndex)

Sets the value of the '`Local Variable Index`' attribute.

Specified by:
  `setLocalVariableIndex` in interface `LocalVariableInstruction`
Parameters:
  `newLocalVariableIndex` - the new value of the 'Local Variable Index' attribute.
See Also:
  `LocalVariableInstruction.getLocalVariableIndex()`

#### getLocalVariable

    public LocalVariable getLocalVariable()

Returns the value of the 'Local Variable' reference.

If the meaning of the 'Local Variable' reference isn't clear, there really should be more of a description here...

Specified by:
  `getLocalVariable` in interface `LocalVariableInstruction`
Returns:
  the value of the 'Local Variable' reference.
See Also:
  `LocalVariableInstruction.setLocalVariable(LocalVariable)`, `EmftvmPackage.getLocalVariableInstruction_LocalVariable()`

#### basicGetLocalVariable

    public LocalVariable basicGetLocalVariable()

See Also:
  `getLocalVariable()`

#### setLocalVariable

    public void setLocalVariable​(LocalVariable newLocalVariable)

Sets the value of the '`Local Variable`' reference.

Specified by:
  `setLocalVariable` in interface `LocalVariableInstruction`
Parameters:
  `newLocalVariable` - the new value of the 'Local Variable' reference.
See Also:
  `LocalVariableInstruction.getLocalVariable()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `InstructionImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `InstructionImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `InstructionImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `InstructionImpl`

#### eNotify

    public void eNotify​(org.eclipse.emf.common.notify.Notification notification)

Specified by:
  `eNotify` in interface `org.eclipse.emf.common.notify.Notifier`
Overrides:
  `eNotify` in class `InstructionImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `InstructionImpl`